com.ihr.xbrl.mapper.filters

## Class XBRLCTimeFilter.XBRLCTimeDateFilter

- java.lang.Object
- - com.ihr.xbrl.mapper.filters.XBRLCTimeFilter.TimeFilter
  - - com.ihr.xbrl.mapper.filters.XBRLCTimeFilter.XBRLCTimeDateFilter

- All Implemented Interfaces:
    XBRLFacetFilter
  Enclosing class:
    XBRLCTimeFilter

      public static class XBRLCTimeFilter.XBRLCTimeDateFilter
      extends XBRLCTimeFilter.TimeFilter

  The Class XBRLCTimeDateFilter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLCTimeFilter.XBRLCTimeDateFilter(XBRLCTimeFilter.TimeFilterPosition position, net.sf.saxon.value.CalendarValue value)` Instantiates a new XBRLC time date filter.
    `XBRLCTimeFilter.XBRLCTimeDateFilter(XBRLCTimeFilter parent, XBRLCTimeFilter.TimeFilterPosition position, net.sf.saxon.s9api.XdmNode nodeOtherDate)` Instantiates a new XBRLC time date filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom.Element` | `createFilterNode()` Returns a node representing the serialization of this filter so it can be created later from the node.
    `java.util.GregorianCalendar` | `getDate(XBRLFilterContext context)` Gets the date.
    `java.lang.String` | `getId()` Gets the id.
    `boolean` | `matches(XBRLFact fact, XBRLFilterContext context)` Return a boolean value indicating if the fact passes the filter.
    `boolean` | `matches(XBRLPeriod factPeriod, XBRLFilterContext context)` Matches.
    `void` | `setId(java.lang.String id)` Sets the id.

    - ### Methods inherited from class com.ihr.xbrl.mapper.filters.XBRLCTimeFilter.TimeFilter

      `setParent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLCTimeFilter.XBRLCTimeDateFilter

          public XBRLCTimeFilter.XBRLCTimeDateFilter(XBRLCTimeFilter parent,
                                             XBRLCTimeFilter.TimeFilterPosition position,
                                             net.sf.saxon.s9api.XdmNode nodeOtherDate)

      Instantiates a new XBRLC time date filter.
      Parameters:
        `parent` - the parent
        `position` - the position
        `nodeOtherDate` - the node other date

    - #### XBRLCTimeFilter.XBRLCTimeDateFilter

          public XBRLCTimeFilter.XBRLCTimeDateFilter(XBRLCTimeFilter.TimeFilterPosition position,
                                             net.sf.saxon.value.CalendarValue value)

      Instantiates a new XBRLC time date filter.
      Parameters:
        `position` - the position
        `value` - the value

  - ### Method Detail

    - #### matches

          public boolean matches(XBRLFact fact,
                        XBRLFilterContext context)

      Description copied from interface: `XBRLFacetFilter`
      Return a boolean value indicating if the fact passes the filter. true - match false - no match
      Parameters:
        `fact` - XBRLFact to test
        `context` - the context
      Returns:
        boolean

    - #### createFilterNode

          public org.jdom.Element createFilterNode()
                                            throws LoaderException

      Description copied from interface: `XBRLFacetFilter`
      Returns a node representing the serialization of this filter so it can be created later from the node.
      Returns:
        org.jdom.Element
      Throws:
        `LoaderException` - the loader exception

    - #### getDate

          public java.util.GregorianCalendar getDate(XBRLFilterContext context)

      Description copied from class: `XBRLCTimeFilter.TimeFilter`
      Gets the date.
      Specified by:
        `getDate` in class `XBRLCTimeFilter.TimeFilter`
      Parameters:
        `context` - the context
      Returns:
        the date

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `XBRLFacetFilter`
      Gets the id.
      Returns:
        the id

    - #### matches

          public boolean matches(XBRLPeriod factPeriod,
                        XBRLFilterContext context)

      Description copied from class: `XBRLCTimeFilter.TimeFilter`
      Matches.
      Specified by:
        `matches` in class `XBRLCTimeFilter.TimeFilter`
      Parameters:
        `factPeriod` - the fact period
        `context` - the context
      Returns:
        true, if successful

    - #### setId

          public void setId(java.lang.String id)

      Description copied from interface: `XBRLFacetFilter`
      Sets the id.
      Parameters:
        `id` - the new id